Bug 56859 - Upgrade from 7.1 trashes the Clocks applet menu
Upgrade from 7.1 trashes the Clocks applet menu
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-28 19:56 EST by Eric Raymond
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-29 11:28:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Raymond 2001-11-28 19:56:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
After upgrading to 7.2 from 7.1, the Clocks submenu of applets was empty.
One of the applet files that should have been there was dropped in the
parent directory.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade a 7.1 system to 7.2
2. Right-click on the GNOME foot. Select Applets->Clocks from there.
3. Observe that you get an empty menu.

Actual Results:  The /usr/share/applets/Clocks directory was empty.

Expected Results:  The /usr/share/applets/Clocks directory should have
contained five entries.

Additional info:
Comment 1 Havoc Pennington 2001-11-29 12:25:42 EST
This is actually a feature; the menu of 5 is replaced by a single clock menu
item. IIRC the empty directory hangs around because of a screwup in the 7.1 RPM
(it doesn't own the directory). There's no real way to fix the 7.1 RPM
retroactively.
We should have e.g. hacked the panel not to display empty submenus, but, too late...

Note You need to log in before you can comment on or make changes to this bug.